<?php

require_once dirname (__DIR__) . '/vendor/autoload.php';

use gp\modeles\Comment;
use gp\modeles\Game;
use gp\modeles\User;
use Illuminate\Database\Capsule\Manager as DB;

$db = new DB();
$db->addConnection(parse_ini_file('../conf/conf.ini'));

$db->setAsGlobal();
$db->bootEloquent();

// use the factory to create a Faker\Generator instance
$faker = Faker\Factory::create();
//all users
for($i=0; $i<2; $i++) {
    $insert = false;
    while (!$insert) {
        try {
            //fake data
            $tmp = explode(' ', $faker->name);
            $user['fname'] = $tmp[0];
            $user['name'] = $tmp[1];
            $user['address'] = $faker->address;
            $user['email'] = $faker->email;
            $user['tel'] = $faker->e164PhoneNumber;
            $user['date'] = $faker->date('Y-m-d', '2005-01-01');
            //insert
            User::create($user['fname'], $user['name'], $user['email'], $user['address'], $user['tel'], $user['date']);
            $insert = true;
        } catch (PDOException $Exception) {
            echo("Duplicate data : recreating new fake");
        }
    }
}
//all comments
$users = User::get();
$game = Game::where('id', '=', 12342)->first();
foreach($users as $user){
    $insert = false;
    while (!$insert) {
        try {
            //fake data
            $title = $faker->text(50);
            $content = $faker->text(200);
            $date = $faker->date('Y-m-d', '2015-02-01');
            //insert comment
            Comment::create($game->id, $user->email, $title, $content, $date);
            $insert = true;
        } catch (PDOException $Exception) {
            echo("Duplicate data : recreating new fake");
        }
    }
}