<?php

namespace gp\controleurs;

use gp\modeles\Game;
use gp\vues\VueGame;
use Slim\Slim;

class ControleurGame
{
    public function getGame($id){
        $route = Slim::getInstance()->request->getResourceUri();
        $game = Game::where('id', '=', $id)->first();
        $results['game'] = $game;
        $results['links'] = [
            "comments" =>["href" => $route."/comments"] ,
            "characters" =>["href" => $route."/characters"]
        ];
        $v = new VueGame(json_encode($results));
        $v->render('getGame');
    }

    public function getGames(){
        $page = filter_var($_GET['page'], FILTER_SANITIZE_NUMBER_INT);
        ini_set('memory_limit', '512M');
        $response = Game::paginate(200, ['*'], 'page', $page);
        $json = (json_decode(json_encode($response),true));
        foreach ($json['data'] as $game) {
            $route = explode('bdappli_laurent_vonderscher_sassu_percin/GamePedia',Slim::getInstance()->urlFor('getGames'));
            $url = $route[1]."{$game['id']}";
            $results['games'][] = ["game" => $game, "links" => ["self" => ["href" => $url]]];
        }
        $links = ["prev" =>["href" => "/api/games{$json['prev_page_url']}"] , "next" =>["href" => "/api/games{$json['next_page_url']}"]];
        $results['links'] = $links;
        $v = new VueGame(json_encode($results));
        $v->render('getGames');
    }

    public function getGameComments($id){
        $game = Game::where('id', '=', $id)->first();
        $comments = $game->comments()->get();
        $v = new VueGame(json_encode($comments));
        $v->render('getComments');
    }

    public function getGamePlatforms($id){
        $game = Game::where('id', '=', $id)->first();
        $platforms = $game->platforms()->get();
        $v = new VueGame(json_encode($platforms));
        $v->render('getPlatforms');
    }
}